Announcement

Collapse
No announcement yet.

Impex: Problem importing 2.3.5 to 3.0.3

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • SamuelMBS
    replied
    Originally posted by Floris
    Hello,

    Please confirm this before we continue:

    Your old 2.x version, what was it >> 2.0.3 or 2.3.0 ?
    Hi Floris, it was 2.3.0

    We ended up fixing the missing index and the upgrade continued and completed.

    Now the 5 or so test vb's can be removed and cleaned up, this was a nightmare (Of previous users attempting the upgrade), and I just stuck to it, took 4 hours =)

    Thanks for your replies Floris, I was learning things quickly as you were replying in e-mail. I didnt want to reply again and open it up as we were finding the problem on our side.

    Thanks for the replies, very supportive base here =)

    We are now at vb 3.0.3 running stable with custom skin
    http://www.graphic-forums.net (Which will be now moved to the .com)

    Thanks again!

    Leave a comment:


  • Floris
    replied
    Hello,

    Please confirm this before we continue:

    Your old 2.x version, what was it >> 2.0.3 or 2.3.0 ?

    Leave a comment:


  • SamuelMBS
    replied
    The index it was b****ng about was created and it has passed that step. (Will update as I run into any errors).
    Last edited by Jerry; Thu 9 Dec '04, 4:05am.

    Leave a comment:


  • SamuelMBS
    replied
    The admin page has been left open at that error in case we can continue after the problem is solved. In about 4 hours two of my techs will be on but want to try to solve this, any ideas?

    Leave a comment:


  • SamuelMBS
    replied
    Got pretty far, then got stuck at:

    Step 4) Miscellaneous table alterations 4/4


    • Adding notes field to administrator
    • Adding cpsession table
    • Adding Default charset
    • Altering pollvote Table (1 of 2)




      There seems to have been a slight problem with the Graphic Forums database.

      Please try again by pressing the refresh button in your browser.



      An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.



      We apologise for any inconvenience.

    Leave a comment:


  • SamuelMBS
    replied
    I'm getting there =)

    Its holding at:

    http://www.graphic-forums.net/index.php?s=

    I'm still continuing

    Leave a comment:


  • Jerry
    replied
    Backup and testing, my two favorite words

    Leave a comment:


  • SamuelMBS
    replied
    And... on the first step

    "We have detected that you have already tried to run the upgrade script. You will not be able to proceed unless you revert to a vB 2.2.x/2.3.x database."

    But!, was able to get passed this, (Yes I have a backup of everything), just doing a run through on upgrading to see viabiltiy of it.

    Leave a comment:


  • Jerry
    replied
    OK, well give the upgrade ago if that goes pear shaped then we can sort out the vB2 import to see whats going on with the build_forum_child_lists() , which is calling that SQL.

    Leave a comment:


  • SamuelMBS
    replied
    I'm not worried about liscensing issues, I have two owned liscenses and only intend to end up with two clean functioning boards, only.

    This board is hacked poorly in some cases. I am trying the suggested information at this thread:
    http://www.vbulletin.com/forum/showthread.php?t=97961

    And attempting to upgrade vb2 instead of recreating, importing etc. I fear it will not be successful.

    "Crosses fingers", thanks for the help jerry!

    Leave a comment:


  • Jerry
    replied
    Originally posted by SamuelMBS
    Well, we are trying to import rather than upgrade. To do what you say would require a parallel installation and I suppose we can try that by reproducing the 2.3.5, and attempting to upgrade it first, if all goes well, then upgrade the live board.
    The lisence allows for two installs if the second is for testing or development so that would be as long as the 2nd install isn't public.

    Upgrading is always the perferd option from vB2 , the importer was made for boards that are far too hacked to be upgraded etc.

    Leave a comment:


  • SamuelMBS
    replied
    Well, we are trying to import rather than upgrade. To do what you say would require a parallel installation and I suppose we can try that by reproducing the 2.3.5, and attempting to upgrade it first, if all goes well, then upgrade the live board.

    Leave a comment:


  • Jerry
    replied
    Have you tried upgrading the vBulletin2 board to vBulletin3 opposed to importing ?

    Code:
     UPDATE forum SET parentid=, .........
    Comes from a missing importforumid, though I cant see how as the vB2 board wouldn't run with out them !

    Leave a comment:


  • SamuelMBS
    replied
    Update: I'm suspecting either I didnt upgrade the right way, or I need 2.2.8 in order to import into 3.0.3

    Leave a comment:


  • SamuelMBS
    started a topic Impex: Problem importing 2.3.5 to 3.0.3

    Impex: Problem importing 2.3.5 to 3.0.3

    Attempting to import from a live db running on 2.0.3

    Database error in vBulletin:ImpEx Target 3.0.3:

    Invalid SQL:
    UPDATE forum
    SET parentid=, parentlist='167,-1'
    WHERE forumid =167
    mysql error: You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ' parentlist='167,-1'
    WHERE forumid =167' at line 2

    mysql error number: 1064

    Date: Wednesday 08th of December 2004 04:13:29 PM
    Script: http://www.graphic-forums.net/com/impex/index.php
    Referer: http://www.graphic-forums.net/com/impex/index.php
    So I figured I need to upgrade the forum to 2.3.5

    I found that i had archived the upgrade scripts:
    upgrade24 through upgrade28

    I moved just those files (upgrade24 to upgrade28 and no other files) to the running 2.0.3 and ran each one. No errors were reported.

    After (What I think was upgrading) and attempting to run impex again we ran into this:

    Database error in vBulletin:ImpEx Target 3.0.3: Invalid SQL: UPDATE forum SET parentid=, parentlist=',,-1' WHERE forumid =218 mysql error: You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ' parentlist=',,-1' WHERE forumid =218' at line 2 mysql error number: 1064 Date: Wednesday 08th of December 2004 04:33:11 PM Script: http://www.graphic-forums.net/com/impex/index.php Referer: http://www.graphic-forums.net/com/impex/index.php
    Between those two import attempts we removed the tables that were showing as "Erroring or not found", they were timetick, vbstats (Hack old), and karma tables as the very first module on impex was showing those sets of tables as erroring.

    So two question that come to mind to get some help with this:

    1: When I moved the upgrade scripts (And no other files) to the live running vb, and ran them, were they the only files needed besides the running 2.0.3 files.

    2: Does anyone see what we are doing wrong to run into this and get these errors.
    Last edited by SamuelMBS; Wed 8 Dec '04, 11:38pm.
Loading...
Working...
X